number of interior rings: calculate the number of interior rings

## Functions

template<typename Geometry >
std::size_t | boost::geometry::num_interior_rings (Geometry const &geometry)
| Calculates the number of interior rings of a geometry.

## Function Documentation

template<typename Geometry >

std::size_t boost::geometry::num_interior_rings | ( | Geometry const & | geometry | ) |

Calculates the number of interior rings of a geometry.

The free function num_interior_rings calculates the number of interior rings of a geometry.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Returns:
  The calculated \1

Note:
  Defined by OGC as "numInteriorRing". To be consistent with "numPoints" letter "s" is appended

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK